/* Set up ALSA configuration
 * Martin Stransky <stransky@redhat.com>
 *
 * Copyright (C) 2003,2005 Red Hat, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef __AINIT_H__
#define __AINIT_H__

#define VERSION             "0.7"

#define TEMPLATENUM         10

#define FILE_LOCK           ".lock"
#define FILE_CONFIG         "/etc/alsa/ainit.conf"

#define IPC_SEM             "ipc_sem"
#define IPC_MEM_DIRECT      "ipc_mem_direct"
#define IPC_MEM_PLUG        "ipc_mem_plug"

#define TOKEN_HOME1         "$home"
#define TOKEN_HOME2         "~"

#define SEPARATOR           '%'
#define COMMENT             '#'

#define FILE_LEN            500

#define ROOT_UID            0
#define ROOT_GID            0

#ifndef TRUE
#define TRUE                (1==1)
#endif

#ifndef FALSE
#define FALSE               (1!=1)
#endif

#define OPT_ENABLE          "enable"
#define OPT_OVERWRITE       "overwrite"

#define OPT_TEMPLATE        "template"
#define OPT_TARGET          "target"
#define OPT_TARGET_ROOT     "target_root_file"
#define OPT_TARGET_BACK     "target_back"

#define PARAM_START         "start"
#define PARAM_STOP          "stop"


typedef struct _CNF {

  int   enable;
  int   overwrite;
  
  char  file_template[FILE_LEN];
  char  file_target[FILE_LEN];
  
  struct passwd *p_pass;

} CNF;

void error(int end, int err, char *p_text, ... );

#endif  // __AINIT_H__
